DESKTOP EDITION CLOUD EDITION SERVER EDITION GUIDES FORUM

System requirements


#1

Can Manager be used with Windows Vista?


#2

Yes, have you tried at all?


#3

Have downloaded Manager but when I tried to open it, it asks to update system to Windows 8 or higher.


#4

Many people are using Manager even on Windows XP and that’s even older than Vista. It’s definitely not required to be on Windows 8.

You can post screenshot of the error, at least we will be able to identify where is this message coming from and why.


#5

You are using Windows 8 64 bit version ; if not it will be fine
I am using Manager program in Windows 8 but it was 32 bit version